/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.entity.MtTestChart;
import net.northking.cctp.dw.db.mapper.MtTestChartMapper;
import net.northking.cctp.dw.dto.ChartProgressQueryDto;
import net.northking.cctp.dw.dto.MtTestChartDto;
import net.northking.cctp.dw.dto.ProjectDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：需求分析进度图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 15:38:09  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtTestChartDao extends MtTestChartMapper {

    List<MtTestChart> createOverallTestReportProgress();

    void addByBatch(@Param("list") List<MtTestChart> list);

    List<MtTestChart> queryByProIdAndDate(@Param("projectId") String projectId, @Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("testType") Integer testType);

    List<MtTestChart> queryToday(@Param("midProjectInfos") List<MidProjectInfo> midProjectInfos);

    void deleteProgress(@Param("tenantId") String tenantId);

    List<MtTestChartDto> queryChartProgress(ChartProgressQueryDto queryDto);

    List<MtTestChart> findMaxDateGroupByProId(@Param("testType") Integer testType);

    Integer queryTodayDeleted(@Param("midProjectInfos")List<MidProjectInfo> dataList);

    List<ProjectDataVo> getProjectIds(@Param("tenantId") String tenantId);
}
